BasicLocation (OpenMap API)
Date: 2016-12-09

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bbn.openmap.layer.location
Class BasicLocation

    java.lang.Object
      com.bbn.openmap.omGraphics.geom.BasicGeometry
          com.bbn.openmap.omGraphics.OMGraphicAdapter
              com.bbn.openmap.layer.location.Location
                  com.bbn.openmap.layer.location.BasicLocation

All Implemented Interfaces:
  OMGeometry, OMGraphic, OMGraphicConstants, java.io.Serializable, java.lang.Cloneable

    public class BasicLocation

extends Location

A BasicLocation the standard Location - dot for the marker, text to the right of the dot. Other graphics can be substituted for the dot, but you should modify the setGraphicLocations methods accordingly.

See Also:
  Serialized Form

Field Summary

Fields inherited from class com.bbn.openmap.layer.location.Location
`allowDecluttering, currentFontDescent, DECLUTTER_ANYWHERE, DECLUTTER_LOCALLY, declutterLimit, DEFAULT_SPACING, details, handler, horizontalLabelBuffer, label, lat, location, logger, lon, name, origXLabelOffset, origYLabelOffset, showLocation, showName, x, xOffset, y, yOffset`

Fields inherited from class com.bbn.openmap.omGraphics.OMGraphicAdapter
`declutterType, displayPaint, edgeMatchesFill, fillPaint, hasLabel, linePaint, matted, mattingPaint, renderType, selected, selectPaint, showEditablePalette, stroke, textureMask`

Fields inherited from class com.bbn.openmap.omGraphics.geom.BasicGeometry
`attributes, lineType, needToRegenerate, shape, visible`

Fields inherited from interface com.bbn.openmap.omGraphics.OMGraphicConstants
`ADD_GRAPHIC_MASK, APP_OBJECT, BASIC_STROKE, CHANGE_APPEARANCE, clear, DECIMAL_DEGREES, DECLUTTERTYPE_LINE, DECLUTTERTYPE_MOVE, DECLUTTERTYPE_NONE, DECLUTTERTYPE_SPACE, DEFAULT_ROTATIONANGLE, DELETE_GRAPHIC_MASK, DESELECT_GRAPHIC_MASK, DESELECTALL_GRAPHIC_MASK, GRAPHICTYPE_ARC, GRAPHICTYPE_BITMAP, GRAPHICTYPE_CIRCLE, GRAPHICTYPE_ELLIPSE, GRAPHICTYPE_GRAPHIC, GRAPHICTYPE_GRID, GRAPHICTYPE_LINE, GRAPHICTYPE_POINT, GRAPHICTYPE_POLY, GRAPHICTYPE_RASTER, GRAPHICTYPE_RECTANGLE, GRAPHICTYPE_TEXT, INDEX, INFOLINE, LABEL, LINETYPE_GREATCIRCLE, LINETYPE_RHUMB, LINETYPE_STRAIGHT, LINETYPE_UNKNOWN, LOWER_GRAPHIC_MASK, LOWER_TO_BOTTOM_GRAPHIC_MASK, NO_ROTATE, OMGRAPHIC_ELT, OMGRAPHIC_TYPE_ATTR, RADIANS, RAISE_GRAPHIC_MASK, RAISE_TO_TOP_GRAPHIC_MASK, REMOVABLE, RENDERTYPE_LATLON, RENDERTYPE_OFFSET, RENDERTYPE_UNKNOWN, RENDERTYPE_XY, SELECT_GRAPHIC_MASK, SORT_GRAPHICS_MASK, TOOLTIP, UPDATE_GRAPHIC_MASK, UPDATED`

Constructor Summary
`BasicLocation()` A plain constructor if you are planning on setting everything yourself.
`BasicLocation(double latitude, double longitude, int xOffset, int yOffset, java.lang.String name, OMGraphic locationMarker)` Create a location at a pixel offset from a latitude/longitude.
`BasicLocation(double latitude, double longitude, java.lang.String name, OMGraphic locationMarker)` Create a location at a latitude/longitude.
`BasicLocation(int x, int y, java.lang.String name, OMGraphic locationMarker)` Create a location at a map location.

Method Summary
`void` | `setGraphicLocations(double latitude, double longitude)` Called by setLocations().
`void` | `setGraphicLocations(double latitude, double longitude, int offsetX, int offsetY)` Called by setLocations().
`void` | `setGraphicLocations(int x, int y)` Called by setLocations().

Methods inherited from class com.bbn.openmap.layer.location.Location
`convertCoordinateString, declutterLabel, distance, generate, generate, getDeclutterLimit, getDetails, getHorizontalLabelBuffer, getLabel, getLocationHandler, getLocationMarker, getName, isAllowDecluttering, isShowLocation, isShowName, main, render, renderLocation, renderName, setAllowDecluttering, setDeclutterLimit, setDetails, setHorizontalLabelBuffer, setLabel, setLocation, setLocation, setLocation, setLocation, setLocationHandler, setLocationMarker, setLocationPaint, setName, setShowLocation, setShowName, shouldRenderLocation, shouldRenderName, showDetails`

Methods inherited from class com.bbn.openmap.omGraphics.OMGraphicAdapter
`clone, deselect, getDeclutterType, getDisplayColor, getDisplayPaint, getEdgeMatchesFill, getFillColor, getFillPaint, getHasLabel, getLineColor, getLinePaint, getMattingPaint, getRenderType, getSelectColor, getSelectPaint, getShowEditablePalette, getStroke, getTextureMask, hasLineTypeChoice, initLabelingDuringGenerate, isClear, isMatted, isSelected, normalizeDistanceForLineWidth, readStroke, readTextureMask, regenerate, renderLabel, renderShape, restore, select, setDeclutterType, setEdgeMatchesFill, setFillColor, setFillPaint, setGraphicsColor, setGraphicsForEdge, setGraphicsForFill, setHasLabel, setLabelLocation, setLabelLocation, setLabelLocation, setLabelLocation, setLabelLocation, setLabelLocation, setLabelLocation, setLabelLocation, setLineColor, setLinePaint, setMatted, setMattingPaint, setRenderType, setSelectColor, setSelected, setSelectPaint, setShowEditablePalette, setStroke, setTextureMask, shouldRenderEdge, shouldRenderFill, writeStroke, writeTextureMask`

Methods inherited from class com.bbn.openmap.omGraphics.geom.BasicGeometry
`_distance, appendShapeEdge, appendShapeEdge, appendShapeEdge, appendShapeEdge, clearAttributes, contains, createAttributeMap, createBoxShape, createShape, createShape, describeShapeDetail, describeShapeDetail, distanceToEdge, distanceToEdge, draw, draw, fill, fill, getAppObject, getAttribute, getAttributes, getDescription, getLineType, getNeedToRegenerate, getShape, isRenderable, isRenderable, isVisible, putAttribute, removeAttribute, setAppObject, setAttributes, setLineType, setNeedToRegenerate, setShape, setVisible`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface com.bbn.openmap.omGraphics.OMGeometry
`clearAttributes, contains, distanceToEdge, draw, draw, fill, fill, getAppObject, getAttribute, getAttributes, getDescription, getLineType, getNeedToRegenerate, getShape, isRenderable, isRenderable, isVisible, putAttribute, removeAttribute, setAppObject, setAttributes, setLineType, setNeedToRegenerate, setShape, setVisible`

Constructor Detail

### BasicLocation

    public BasicLocation()

  A plain constructor if you are planning on setting everything yourself.

### BasicLocation

    public BasicLocation(double latitude,
                         double longitude,
                         java.lang.String name,
                         OMGraphic locationMarker)

  Create a location at a latitude/longitude. If the locationMarker is null, a small rectangle (dot) will be created to mark the location.

  Parameters:
    `latitude` - the latitude, in decimal degrees, of the location.
    `longitude` - the longitude, in decimal degrees, of the location.
    `name` - the name of the location, also used in the label.
    `locationMarker` - the OMGraphic to use for the location mark.

### BasicLocation

    public BasicLocation(int x,
                         int y,
                         java.lang.String name,
                         OMGraphic locationMarker)

  Create a location at a map location. If the locationMarker is null, a small rectangle (dot) will be created to mark the location.

  Parameters:
    `x` - the pixel location of the object from the let of the map.
    `y` - the pixel location of the object from the top of the map
    `name` - the name of the location, also used in the label.
    `locationMarker` - the OMGraphic to use for the location mark.

### BasicLocation

    public BasicLocation(double latitude,
                         double longitude,
                         int xOffset,
                         int yOffset,
                         java.lang.String name,
                         OMGraphic locationMarker)

  Create a location at a pixel offset from a latitude/longitude. If the locationMarker is null, a small rectangle (dot) will be created to mark the location.

  Parameters:
    `latitude` - the latitude, in decimal degrees, of the location.
    `longitude` - the longitude, in decimal degrees, of the location.
    `xOffset` - the pixel location of the object from the longitude.
    `yOffset` - the pixel location of the object from the latitude.
    `name` - the name of the location, also used in the label.
    `locationMarker` - the OMGraphic to use for the location mark.

Method Detail

### setGraphicLocations

    public void setGraphicLocations(double latitude,
                                    double longitude)

  Called by setLocations(). Assumes the dot for the location marker, and a text object as the label, stored to the right.

  Specified by:
    `setGraphicLocations` in class `Location`

### setGraphicLocations

    public void setGraphicLocations(int x,
                                    int y)

  Called by setLocations(). Assumes the dot for the location marker, and a text object as the label, stored to the right.

  Specified by:
    `setGraphicLocations` in class `Location`

### setGraphicLocations

    public void setGraphicLocations(double latitude,
                                    double longitude,
                                    int offsetX,
                                    int offsetY)

  Called by setLocations(). Assumes the dot for the location marker, and a text object as the label, stored to the right.

  Specified by:
    `setGraphicLocations` in class `Location`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (C) BBNT Solutions LLC; See http://openmap.bbn.com/ for details